terminfo-0.4.0.1: Haskell bindings to the terminfo library.

Maintainer | judah.jacobson@gmail.com
Stability | experimental
Portability | portable (FFI)
Safe Haskell | Safe
Language | Haskell2010

System.Console.Terminfo.Edit

Description

Synopsis

- clearScreen :: Capability (LinesAffected -> TermOutput)
- clearBOL :: TermStr s => Capability s
- clearEOL :: TermStr s => Capability s
- clearEOS :: Capability (LinesAffected -> TermOutput)

# Documentation

clearScreen :: Capability (LinesAffected -> TermOutput)

Clear the screen, and move the cursor to the upper left.

clearBOL :: TermStr s => Capability s

Clear from beginning of line to cursor.

clearEOL :: TermStr s => Capability s

Clear from cursor to end of line.

clearEOS :: Capability (LinesAffected -> TermOutput)

Clear display after cursor.